flutter_advanced_networkimage 0.2.11 copy "flutter_advanced_networkimage: ^0.2.11" to clipboard
flutter_advanced_networkimage: ^0.2.11 copied to clipboard

discontinued
outdated

An advanced image provider for flutter.

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:flutter_advanced_networkimage/flutter_advanced_networkimage.dart';
import 'package:flutter_advanced_networkimage/zoomable_widget.dart';
import 'package:flutter_advanced_networkimage/transition_to_image.dart';

main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    TransitionToImage imageWidget = TransitionToImage(
      AdvancedNetworkImage(
        'https://assets-cdn.github.com/images/modules/logos_page/GitHub-Mark.png',
      ),
      useReload: true,
      fit: BoxFit.contain,
    );

    return MaterialApp(
      title: 'Flutter Example',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: Scaffold(
        appBar: AppBar(
          title: Text('Flutter Advanced Network Image Example'),
        ),
        body: ZoomableWidget(
          minScale: 0.3,
          maxScale: 2.0,
          child: imageWidget,
          tapCallback: imageWidget.reloadImage,
        ),
      ),
    );
  }
}
122
likes
0
pub points
86%
popularity

Publisher

unverified uploader

An advanced image provider for flutter.

Repository (GitHub)
View/report issues

License

unknown (LICENSE)

Dependencies

crypto, flutter, http, path, path_provider, quiver

More

Packages that depend on flutter_advanced_networkimage